#
# spec file for package python-incremental
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-incremental
Version:        17.5.0
Release:        8.1
Summary:        Library that versions your Python projects
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/twisted/incremental
Source:         https://files.pythonhosted.org/packages/source/i/incremental/incremental-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
Suggests:       %{python_module Twisted >= 16.4.0}
Suggests:       %{python_module click >= 6.0}
BuildArch:      noarch
%python_subpackages

%description
Incremental is a small library that versions your Python projects.

%prep
%setup -q -n incremental-%{version}

%build

%python_build

%install
%python_install

%files %{python_files}
%license LICENSE
%doc NEWS.rst README.rst
%{python_sitelib}/*

%changelog
* Tue Dec  4 2018 mcepl@suse.com
- Remove superfluous devel dependency for noarch package
* Tue Jul  4 2017 tbechtold@suse.com
- Initial packaging (version 17.5.0)
